Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class RevokeSecurityGroupIngressRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.ec2.model.RevokeSecurityGroupIngressRequest

    public class RevokeSecurityGroupIngressRequest

extends AmazonWebServiceRequest

Container for the parameters to the `RevokeSecurityGroupIngress operation`.

The RevokeSecurityGroupIngress operation revokes permissions from a security group. The permissions used to revoke must be specified using the same values used to grant the permissions.

Permissions are specified by IP protocol (TCP, UDP, or ICMP), the source of the request (by IP range or an Amazon EC2 user-group pair), the source and destination port ranges (for TCP and UDP), and the ICMP codes and types (for ICMP).

Permission changes are quickly propagated to instances within the security group. However, depending on the number of instances in the group, a small delay is might occur, .

When revoking a user/group pair permission, GroupName, SourceSecurityGroupName and SourceSecurityGroupOwnerId must be specified. When authorizing a CIDR IP permission, GroupName, IpProtocol, FromPort, ToPort and CidrIp must be specified. Mixing these two types of parameters is not allowed.

See Also:
  `AmazonEC2.revokeSecurityGroupIngress(RevokeSecurityGroupIngressRequest)`

Constructor Summary
`RevokeSecurityGroupIngressRequest()`

Method Summary
`String` | `getCidrIp()` CIDR range.
`Integer` | `getFromPort()` Start of port range for the TCP and UDP protocols, or an ICMP type number.
`String` | `getGroupName()` The name of the security group from which to remove permissions.
`String` | `getIpProtocol()` IP protocol.
`String` | `getSourceSecurityGroupName()` Name of the source security group.
`String` | `getSourceSecurityGroupOwnerId()` AWS user ID of an account.
`Integer` | `getToPort()` End of port range for the TCP and UDP protocols, or an ICMP code.
`void` | `setCidrIp(String cidrIp)` CIDR range.
`void` | `setFromPort(Integer fromPort)` Start of port range for the TCP and UDP protocols, or an ICMP type number.
`void` | `setGroupName(String groupName)` The name of the security group from which to remove permissions.
`void` | `setIpProtocol(String ipProtocol)` IP protocol.
`void` | `setSourceSecurityGroupName(String sourceSecurityGroupName)` Name of the source security group.
`void` | `setSourceSecurityGroupOwnerId(String sourceSecurityGroupOwnerId)` AWS user ID of an account.
`void` | `setToPort(Integer toPort)` End of port range for the TCP and UDP protocols, or an ICMP code.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`RevokeSecurityGroupIngressRequest` | `withCidrIp(String cidrIp)` CIDR range.
`RevokeSecurityGroupIngressRequest` | `withFromPort(Integer fromPort)` Start of port range for the TCP and UDP protocols, or an ICMP type number.
`RevokeSecurityGroupIngressRequest` | `withGroupName(String groupName)` The name of the security group from which to remove permissions.
`RevokeSecurityGroupIngressRequest` | `withIpProtocol(String ipProtocol)` IP protocol.
`RevokeSecurityGroupIngressRequest` | `withSourceSecurityGroupName(String sourceSecurityGroupName)` Name of the source security group.
`RevokeSecurityGroupIngressRequest` | `withSourceSecurityGroupOwnerId(String sourceSecurityGroupOwnerId)` AWS user ID of an account.
`RevokeSecurityGroupIngressRequest` | `withToPort(Integer toPort)` End of port range for the TCP and UDP protocols, or an ICMP code.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RevokeSecurityGroupIngressRequest

    public RevokeSecurityGroupIngressRequest()

Method Detail

### getGroupName

    public String getGroupName()

  The name of the security group from which to remove permissions.

  Returns:
    The name of the security group from which to remove permissions.

### setGroupName

    public void setGroupName(String groupName)

  The name of the security group from which to remove permissions.

  Parameters:
    `groupName` - The name of the security group from which to remove permissions.

### withGroupName

    public RevokeSecurityGroupIngressRequest withGroupName(String groupName)

  The name of the security group from which to remove permissions.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `groupName` - The name of the security group from which to remove permissions.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getSourceSecurityGroupName

    public String getSourceSecurityGroupName()

  Name of the source security group. Cannot be used when specifying a CIDR IP address.

  Returns:
    Name of the source security group. Cannot be used when specifying a CIDR IP address.

### setSourceSecurityGroupName

    public void setSourceSecurityGroupName(String sourceSecurityGroupName)

  Name of the source security group. Cannot be used when specifying a CIDR IP address.

  Parameters:
    `sourceSecurityGroupName` - Name of the source security group. Cannot be used when specifying a CIDR IP address.

### withSourceSecurityGroupName

    public RevokeSecurityGroupIngressRequest withSourceSecurityGroupName(String sourceSecurityGroupName)

  Name of the source security group. Cannot be used when specifying a CIDR IP address.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `sourceSecurityGroupName` - Name of the source security group. Cannot be used when specifying a CIDR IP address.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getSourceSecurityGroupOwnerId

    public String getSourceSecurityGroupOwnerId()

  AWS user ID of an account. Cannot be used when specifying a CIDR IP address.

  Returns:
    AWS user ID of an account. Cannot be used when specifying a CIDR IP address.

### setSourceSecurityGroupOwnerId

    public void setSourceSecurityGroupOwnerId(String sourceSecurityGroupOwnerId)

  AWS user ID of an account. Cannot be used when specifying a CIDR IP address.

  Parameters:
    `sourceSecurityGroupOwnerId` - AWS user ID of an account. Cannot be used when specifying a CIDR IP address.

### withSourceSecurityGroupOwnerId

    public RevokeSecurityGroupIngressRequest withSourceSecurityGroupOwnerId(String sourceSecurityGroupOwnerId)

  AWS user ID of an account. Cannot be used when specifying a CIDR IP address.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `sourceSecurityGroupOwnerId` - AWS user ID of an account. Cannot be used when specifying a CIDR IP address.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getIpProtocol

    public String getIpProtocol()

  IP protocol.

  Valid values: tcp, udp, icmp

  Returns:
    IP protocol.

    Valid values: tcp, udp, icmp

### setIpProtocol

    public void setIpProtocol(String ipProtocol)

  IP protocol.

  Valid values: tcp, udp, icmp

  Parameters:
    `ipProtocol` - IP protocol.

    Valid values: tcp, udp, icmp

### withIpProtocol

    public RevokeSecurityGroupIngressRequest withIpProtocol(String ipProtocol)

  IP protocol.

  Valid values: tcp, udp, icmp

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `ipProtocol` - IP protocol.

    Valid values: tcp, udp, icmp

  Returns:
    A reference to this updated object so that method calls can be chained together.

### getFromPort

    public Integer getFromPort()

  Start of port range for the TCP and UDP protocols, or an ICMP type number. An ICMP type number of -1 indicates a wildcard (i.e., any ICMP type number).

  Returns:
    Start of port range for the TCP and UDP protocols, or an ICMP type number. An ICMP type number of -1 indicates a wildcard (i.e., any ICMP type number).

### setFromPort

    public void setFromPort(Integer fromPort)

  Start of port range for the TCP and UDP protocols, or an ICMP type number. An ICMP type number of -1 indicates a wildcard (i.e., any ICMP type number).

  Parameters:
    `fromPort` - Start of port range for the TCP and UDP protocols, or an ICMP type number. An ICMP type number of -1 indicates a wildcard (i.e., any ICMP type number).

### withFromPort

    public RevokeSecurityGroupIngressRequest withFromPort(Integer fromPort)

  Start of port range for the TCP and UDP protocols, or an ICMP type number. An ICMP type number of -1 indicates a wildcard (i.e., any ICMP type number).

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `fromPort` - Start of port range for the TCP and UDP protocols, or an ICMP type number. An ICMP type number of -1 indicates a wildcard (i.e., any ICMP type number).
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getToPort

    public Integer getToPort()

  End of port range for the TCP and UDP protocols, or an ICMP code. An ICMP code of -1 indicates a wildcard (i.e., any ICMP code).

  Returns:
    End of port range for the TCP and UDP protocols, or an ICMP code. An ICMP code of -1 indicates a wildcard (i.e., any ICMP code).

### setToPort

    public void setToPort(Integer toPort)

  End of port range for the TCP and UDP protocols, or an ICMP code. An ICMP code of -1 indicates a wildcard (i.e., any ICMP code).

  Parameters:
    `toPort` - End of port range for the TCP and UDP protocols, or an ICMP code. An ICMP code of -1 indicates a wildcard (i.e., any ICMP code).

### withToPort

    public RevokeSecurityGroupIngressRequest withToPort(Integer toPort)

  End of port range for the TCP and UDP protocols, or an ICMP code. An ICMP code of -1 indicates a wildcard (i.e., any ICMP code).

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `toPort` - End of port range for the TCP and UDP protocols, or an ICMP code. An ICMP code of -1 indicates a wildcard (i.e., any ICMP code).
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getCidrIp

    public String getCidrIp()

  CIDR range.

  Returns:
    CIDR range.

### setCidrIp

    public void setCidrIp(String cidrIp)

  CIDR range.

  Parameters:
    `cidrIp` - CIDR range.

### withCidrIp

    public RevokeSecurityGroupIngressRequest withCidrIp(String cidrIp)

  CIDR range.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `cidrIp` - CIDR range.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.